# Static Address List

Use this endpoint to retrieve a list of static addresses associated with a specific business. The list can be filtered by various criteria, such as trackId, address, network, email and orderId. Pagination is also available to fetch the results in smaller sets.

## GET /payment/static-address

>

```json
{"openapi":"3.0.0","info":{"title":"Payments","version":"1.0.0"},"servers":[{"url":"https://api.oxapay.com/v1"}],"security":[],"paths":{"/payment/static-address":{"get":{"operationId":"staticAddressList","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"list":{"type":"array","items":{"type":"object","properties":{"track_id":{"type":"string","description":"Unique identifier for each payment session in the OxaPay payment gateway. It is used to track the payment status and generate reports."},"address":{"type":"string","description":"The static cryptocurrency address where the payment is expected to be sent."},"network":{"type":"string","description":"The blockchain network associated with the cryptocurrency (e.g., 'Bitcoin Network')."},"callback_url":{"type":"string","format":"uri","description":"The URL to which payment status updates will be sent. This allows you to receive notifications about the payment progress."},"email":{"type":"string","format":"email","description":"The email address of the payer."},"order_id":{"type":"string","description":"A unique identifier for the order associated with this payment."},"description":{"type":"string","description":"Additional details or description related to the static address or transaction."},"date":{"type":"integer","description":"Timestamp (UNIX epoch) indicating when the static address was generated."}}}},"meta":{"type":"object","properties":{"page":{"type":"integer","description":"The current page number of the result set."},"last_page":{"type":"integer","description":"The total number of pages available based on the number of records and page size."},"total":{"type":"integer","description":"The total number of static addresses available for the specified criteria."}}}}},"message":{"type":"string","description":"A message containing additional information about the result of the request."},"error":{"type":"object","description":"An object that provides details about any errors that occurred.","nullable":true,"properties":{"type":{"type":"string","description":"Type of the error"},"key":{"type":"string","description":"Key related to the error"},"message":{"type":"string","description":"Error message"}}},"status":{"type":"integer","description":"The status of the request response. Typically provided as a numeric code (e.g., 200 for success or other codes for errors)."},"version":{"type":"string","description":"The version of the API being used."}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string","description":"A message containing additional information about the result of the request."},"error":{"type":"object","description":"An object that provides details about any errors that occurred.","nullable":true,"properties":{"type":{"type":"string","description":"Type of the error"},"key":{"type":"string","description":"Key related to the error"},"message":{"type":"string","description":"Error message"}}},"status":{"type":"integer","description":"The status of the request response. Typically provided as a numeric code (e.g., 200 for success or other codes for errors)."},"version":{"type":"string","description":"The version of the API being used."}}}}}}},"tags":["Static-address-list"],"parameters":[{"in":"header","name":"merchant_api_key","required":true,"schema":{"type":"string"},"description":"Your Merchant API Key for authentication and authorization."},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","default":"application/json"}},{"name":"track_id","in":"query","description":"Filter addresses by a specific ID.","required":false,"schema":{"type":"integer"}},{"name":"network","in":"query","description":"Filter addresses by the expected blockchain network for the specified crypto currency.","required":false,"schema":{"type":"string"}},{"name":"currency","in":"query","description":"Filter addresses by the expected currency.","required":false,"schema":{"type":"string"}},{"name":"address","in":"query","description":"Filter static addresses by the expected address. It’s better to filter static addresses.","required":false,"schema":{"type":"string"}},{"name":"have_tx","in":"query","description":"Filter the addresses that had transactions.","required":false,"schema":{"type":"boolean"}},{"name":"order_id","in":"query","description":"Filter addresses by a unique order ID for reference.","required":false,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Filter addresses by the email.","required":false,"schema":{"type":"string","format":"email"}},{"name":"page","in":"query","description":"The page number of the results you want to retrieve.","required":false,"schema":{"type":"integer","minimum":1,"default":1}},{"name":"size","in":"query","description":"Number of records to display per page.","required":false,"schema":{"type":"integer","minimum":1,"maximum":200,"default":1}}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxapay.com/api-reference/payment/static-address-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
